Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.common
Class HelpListener

    java.lang.Object
      |
      +--com.bea.wlpi.client.common.HelpListener

public class HelpListener
extends java.lang.Object
implements java.awt.event.ActionListener

Launches online help in an HTML browser or via JavaHelp.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected int` | `helpType`
`protected java.lang.String` | `topicID`
`protected java.net.URL` | `url`

Constructor Summary
`HelpListener(java.net.URL url, java.lang.String topicID, int helpType)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`protected void` | `displayHTMLHelp()`
`protected void` | `displayJavaHelp(java.lang.Object source)`
`static void` | `displayURL(java.lang.String url)`
`static boolean` | `isWindowsPlatform()` Try to determine whether this application is running under Windows or some other platform by examing the "os.name" property.
`static void` | `setHelpBroker(javax.help.HelpBroker broker)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### url

    protected java.net.URL url

### topicID

    protected java.lang.String topicID

### helpType

    protected int helpType

Constructor Detail

### HelpListener

    public HelpListener(java.net.URL url,
                        java.lang.String topicID,
                        int helpType)

Method Detail

### setHelpBroker

    public static void setHelpBroker(javax.help.HelpBroker broker)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    actionPerformed in interface java.awt.event.ActionListener

### displayHTMLHelp

    protected void displayHTMLHelp()

### displayJavaHelp

    protected void displayJavaHelp(java.lang.Object source)

### displayURL

    public static void displayURL(java.lang.String url)

### isWindowsPlatform

    public static boolean isWindowsPlatform()

  Try to determine whether this application is running under Windows or some other platform by examing the "os.name" property.

  Returns:
    true if this application is running under a Windows OS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)